<?php
namespace Bushelpowered\Api\Aggregator\Accountpayablebalance\V1\Request;
        
class GetAccountPayableBalancesRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $accountIds */
    public ?array $accountIds = null;
    public ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination = null;

    /**
     * @param  string[]|null  $accountIds 
     */
    public function __construct(?array $accountIds, ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination $pagination)
    {
        $this->accountIds = $accountIds;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Accountpayablebalance\V1\Request\AccountPayableBalancePagination
    {
        return $this->pagination;
    }
}