<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class CommodityResponse 
{
    public string $id;
    public string $commoditySubgroupId;
    public ?string $commodityVarietyId = null;
    public ?int $area = null;
    public string $areaUoM;
    public ?float $expectedYieldPerArea = null;
    public string $expectedYieldPerAreaUoM;
    public ?float $totalProduction = null;
    public string $totalProductionUoM;
    public ?float $percentageInsured = null;
    public ?float $storage = null;
    public string $storageUoM;
    public ?float $costOfProduction = null;
    public string $costOfProductionCurrency;
    public ?float $profitabilityGoal = null;
    public string $profitabilityGoalCurrency;

    /**
     */
    public function __construct(string $id, string $commoditySubgroupId, ?string $commodityVarietyId, ?int $area, string $areaUoM, ?float $expectedYieldPerArea, string $expectedYieldPerAreaUoM, ?float $totalProduction, string $totalProductionUoM, ?float $percentageInsured, ?float $storage, string $storageUoM, ?float $costOfProduction, string $costOfProductionCurrency, ?float $profitabilityGoal, string $profitabilityGoalCurrency)
    {
        $this->id = $id;
        $this->commoditySubgroupId = $commoditySubgroupId;
        $this->commodityVarietyId = $commodityVarietyId;
        $this->area = $area;
        $this->areaUoM = $areaUoM;
        $this->expectedYieldPerArea = $expectedYieldPerArea;
        $this->expectedYieldPerAreaUoM = $expectedYieldPerAreaUoM;
        $this->totalProduction = $totalProduction;
        $this->totalProductionUoM = $totalProductionUoM;
        $this->percentageInsured = $percentageInsured;
        $this->storage = $storage;
        $this->storageUoM = $storageUoM;
        $this->costOfProduction = $costOfProduction;
        $this->costOfProductionCurrency = $costOfProductionCurrency;
        $this->profitabilityGoal = $profitabilityGoal;
        $this->profitabilityGoalCurrency = $profitabilityGoalCurrency;
    }
    

}