<?php
namespace Bushelpowered\Api\Aggregator\Statement\V1\Response;
        
class StatementResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Aggregator\Statement\V1\Model\StatementListItem[] $data */
    public array $data;
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Statement\V1\Model\StatementListItem[]  $data 
     */
    public function __construct(array $data, ?string $continuationToken)
    {
        $this->data = $data;
        $this->continuationToken = $continuationToken;
    }
    
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}