<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CustomerContactInformationResponse 
{
    public string $id;
    public string $name;
    /** @var \Bushelpowered\Api\Crm\V1\Response\ContactInformationResponse[] $phones */
    public array $phones;
    /** @var \Bushelpowered\Api\Crm\V1\Response\ContactInformationResponse[] $emails */
    public array $emails;
    /** @var \Bushelpowered\Api\Crm\V1\Response\CustomerAddressResponse[] $addresses */
    public array $addresses;
    /** @var \Bushelpowered\Api\Crm\V1\Response\AssociatedAccountResponse[] $associatedAccounts */
    public array $associatedAccounts;

    /**
     * @param  \Bushelpowered\Api\Crm\V1\Response\ContactInformationResponse[]  $phones 
     * @param  \Bushelpowered\Api\Crm\V1\Response\ContactInformationResponse[]  $emails 
     * @param  \Bushelpowered\Api\Crm\V1\Response\CustomerAddressResponse[]  $addresses 
     * @param  \Bushelpowered\Api\Crm\V1\Response\AssociatedAccountResponse[]  $associatedAccounts 
     */
    public function __construct(string $id, string $name, array $phones, array $emails, array $addresses, array $associatedAccounts)
    {
        $this->id = $id;
        $this->name = $name;
        $this->phones = $phones;
        $this->emails = $emails;
        $this->addresses = $addresses;
        $this->associatedAccounts = $associatedAccounts;
    }
    

}