<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class LocationDetails 
{
    public string $id;
    public ?string $name = null;
    public ?string $address = null;
    /** @var string[]|null $businessType */
    public ?array $businessType = null;
    public ?string $phone = null;
    public ?string $fax = null;
    public ?string $email = null;
    public ?string $website = null;

    /**
     * @param  string[]|null  $businessType 
     */
    public function __construct(string $id, ?string $name, ?string $address, ?array $businessType, ?string $phone, ?string $fax, ?string $email, ?string $website)
    {
        $this->id = $id;
        $this->name = $name;
        $this->address = $address;
        $this->businessType = $businessType;
        $this->phone = $phone;
        $this->fax = $fax;
        $this->email = $email;
        $this->website = $website;
    }
    

}