<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class BidDetailStandard 
{
    public string $locationName;
    public string $commodityName;
    public string $productId;
    public string $productName;
    public string $pricingType;
    public string $tickSize;
    public string $marketTickSize;
    public string $bidId;
    public string $description;
    public ?string $symbol = null;
    public ?string $clientGroupId = null;
    public string $deliveryStart;
    public string $deliveryEnd;
    public string $expirationDate;
    public string $currentBid;
    public ?string $basisPrice = null;
    public string $unitOfMeasure;
    public ?string $currencyConversionRate = null;
    public ?string $futuresPrice = null;
    public ?string $futuresChange = null;
    public ?int $futuresChangeSign = null;
    public ?string $premiumPercent = null;
    public ?string $unitConversionFactor = null;
    public string $currency;

    /**
     */
    public function __construct(string $locationName, string $commodityName, string $productId, string $productName, string $pricingType, string $tickSize, string $marketTickSize, string $bidId, string $description, ?string $symbol, ?string $clientGroupId, string $deliveryStart, string $deliveryEnd, string $expirationDate, string $currentBid, ?string $basisPrice, string $unitOfMeasure, ?string $currencyConversionRate, ?string $futuresPrice, ?string $futuresChange, ?int $futuresChangeSign, ?string $premiumPercent, ?string $unitConversionFactor, string $currency)
    {
        $this->locationName = $locationName;
        $this->commodityName = $commodityName;
        $this->productId = $productId;
        $this->productName = $productName;
        $this->pricingType = $pricingType;
        $this->tickSize = $tickSize;
        $this->marketTickSize = $marketTickSize;
        $this->bidId = $bidId;
        $this->description = $description;
        $this->symbol = $symbol;
        $this->clientGroupId = $clientGroupId;
        $this->deliveryStart = $deliveryStart;
        $this->deliveryEnd = $deliveryEnd;
        $this->expirationDate = $expirationDate;
        $this->currentBid = $currentBid;
        $this->basisPrice = $basisPrice;
        $this->unitOfMeasure = $unitOfMeasure;
        $this->currencyConversionRate = $currencyConversionRate;
        $this->futuresPrice = $futuresPrice;
        $this->futuresChange = $futuresChange;
        $this->futuresChangeSign = $futuresChangeSign;
        $this->premiumPercent = $premiumPercent;
        $this->unitConversionFactor = $unitConversionFactor;
        $this->currency = $currency;
    }
    

}