<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class BidsRequest 
{
    public ?int $bidLimit = null;
    public bool $comprehensive;
    public bool $convertBasis;
    public bool $includeHidden;
    public bool $includeHiddenLocations;
    /** @var string[]|null $locationRemoteIds */
    public ?array $locationRemoteIds = null;

    /**
     * @param  string[]|null  $locationRemoteIds 
     */
    public function __construct(?int $bidLimit, bool $comprehensive, bool $convertBasis, bool $includeHidden, bool $includeHiddenLocations, ?array $locationRemoteIds)
    {
        $this->bidLimit = $bidLimit;
        $this->comprehensive = $comprehensive;
        $this->convertBasis = $convertBasis;
        $this->includeHidden = $includeHidden;
        $this->includeHiddenLocations = $includeHiddenLocations;
        $this->locationRemoteIds = $locationRemoteIds;
    }
    

}